# Pyntor::Flags - Display flags
# Copyright (C) 2004 Josef Spillner <josef@coolprojects.org>
# Published under GNU GPL conditions

import pygame
from pygame.locals import *
import sys
import time
import random
import os, pwd

flags = []

def walker(arg, dirname, fnames):
	global flags

	for file in fnames:
		path = dirname + "/" + file
		img = pygame.image.load(path)
		flags.append(img)

def run():
	global flags

	""" Loading the flags """

	os.path.walk("flaggen", walker, None)

	""" Screen setup """

	screen = pygame.display.get_surface()

	screencopy = pygame.Surface((screen.get_width(), screen.get_height()))
	screencopy.blit(screen, (0, 0))

	surface = pygame.Surface((screen.get_width(), screen.get_height()))
	surface.blit(screen, (0, 0))

	pygame.event.clear()

	counter = 0

	while 1:
		""" Control """

		pygame.event.pump()
		event = pygame.event.poll()
		if event.type == KEYDOWN:
			key = event.key
			if key == K_ESCAPE or pygame.event.peek(QUIT):
				break
			if key == K_RETURN:
				break
			if key == K_s:
				pygame.image.save(screen, "static/intro" + ".bmp")

		""" Drawing """

		if counter == 0:
			flag = random.choice(flags)
			w = screen.get_width() - flag.get_width()
			h = screen.get_height() - flag.get_height()
			if w < 0:
				w = 0
			if h < 0:
				h = 0
			flagw = random.randint(0, w)
			flagh = random.randint(0, h)
		counter = (counter + 1) % 35
		flag.set_alpha(5)
		surface.blit(flag, (flagw, flagh))

		screen.blit(surface, (0, 0))
		pygame.display.flip()

	#screen.blit(screencopy, (0, 0))
	#pygame.display.flip()

